Module javafx.controls
Package javafx.scene.control

# Class Tooltip

java.lang.Object
javafx.stage.Window
javafx.stage.PopupWindow
javafx.scene.control.PopupControl
javafx.scene.control.Tooltip

All Implemented Interfaces:
  `Styleable`, `EventTarget`, `Skinnable`

@IDProperty("id") public class Tooltip extends PopupControl
Tooltips are common UI elements which are typically used for showing additional information about a Node in the scenegraph when the Node is hovered over by the mouse. Any Node can show a tooltip. In most cases a Tooltip is created and its `text` property is modified to show plain text to the user. However, a Tooltip is able to show within it an arbitrary scenegraph of nodes - this is done by creating the scenegraph and setting it inside the Tooltip `graphic` property.

You use the following approach to set a Tooltip on any node:

     Rectangle rect = new Rectangle(0, 0, 100, 100);
     Tooltip t = new Tooltip("A Square");
     Tooltip.install(rect, t);

This tooltip will then participate with the typical tooltip semantics (i.e. appearing on hover, etc). Note that the Tooltip does not have to be uninstalled: it will be garbage collected when it is not referenced by any Node. It is possible to manually uninstall the tooltip, however.

A single tooltip can be installed on multiple target nodes or multiple controls.

Because most Tooltips are shown on UI controls, there is special API for all controls to make installing a Tooltip less verbose. The example below shows how to create a tooltip for a Button control:

     import javafx.scene.control.Tooltip;
     import javafx.scene.control.Button;

     Button button = new Button("Hover Over Me");
     button.setTooltip(new Tooltip("Tooltip for Button"));

Since:
  JavaFX 2.0

## Property Summary

Properties
Type
Property
Description
`final ReadOnlyBooleanProperty`
`activated`
Typically, the tooltip is "activated" when the mouse moves over a Control.
`final ObjectProperty<ContentDisplay>`
`contentDisplay`
Specifies the positioning of the graphic relative to the text.
`final ObjectProperty<Font>`
`font`
The default font to use for text in the Tooltip.
`final ObjectProperty<Node>`
`graphic`
An optional icon for the Tooltip.
`final DoubleProperty`
`graphicTextGap`
The amount of space between the graphic and text
`final ObjectProperty<Duration>`
`hideDelay`
The duration in which to continue showing the tooltip after the mouse has left the node.
`final ObjectProperty<Duration>`
`showDelay`
The delay between the mouse entering the hovered node and when the associated tooltip will be shown to the user.
`final ObjectProperty<Duration>`
`showDuration`
The duration that the tooltip should remain showing for until it is no longer visible to the user.
`final ObjectProperty<TextAlignment>`
`textAlignment`
Specifies the behavior for lines of text when text is multiline.
`final ObjectProperty<OverrunStyle>`
`textOverrun`
Specifies the behavior to use if the text of the `Tooltip` exceeds the available space for rendering the text.
`final StringProperty`
`text`
The text to display in the tooltip.
`final BooleanProperty`
`wrapText`
If a run of text exceeds the width of the Tooltip, then this variable indicates whether the text should wrap onto another line.

### Properties inherited from class javafx.scene.control.PopupControl

`id, maxHeight, maxWidth, minHeight, minWidth, prefHeight, prefWidth, skin, style`

### Properties inherited from class javafx.stage.PopupWindow

`anchorLocation, anchorX, anchorY, autoFix, autoHide, consumeAutoHidingEvents, hideOnEscape, onAutoHide, ownerNode, ownerWindow`

### Properties inherited from class javafx.stage.Window

`eventDispatcher, focused, forceIntegerRenderScale, height, onCloseRequest, onHidden, onHiding, onShowing, onShown, opacity, outputScaleX, outputScaleY, renderScaleX, renderScaleY, scene, showing, width, x, y`

## Nested Class Summary

## Nested classes/interfaces inherited from class javafx.stage.PopupWindow

`PopupWindow.AnchorLocation`

## Field Summary

### Fields inherited from class javafx.scene.control.PopupControl

`bridge, USE_COMPUTED_SIZE, USE_PREF_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`Tooltip()`
Creates a tooltip with an empty string for its text.
`Tooltip(String text)`
Creates a tooltip with the specified text.

## Method Summary

Modifier and Type
Method
Description
`final ReadOnlyBooleanProperty`
`activatedProperty()`
Typically, the tooltip is "activated" when the mouse moves over a Control.
`final ObjectProperty<ContentDisplay>`
`contentDisplayProperty()`
Specifies the positioning of the graphic relative to the text.
`protected Skin<?>`
`createDefaultSkin()`
Create a new instance of the default skin for this control.
`final ObjectProperty<Font>`
`fontProperty()`
The default font to use for text in the Tooltip.
`static List<CssMetaData<? extends Styleable,?>>`
`getClassCssMetaData()`
`final ContentDisplay`
`getContentDisplay()`
Gets the value of the `contentDisplay` property.
`List<CssMetaData<? extends Styleable,?>>`
`getCssMetaData()`
The CssMetaData of this Styleable.
`final Font`
`getFont()`
Gets the value of the `font` property.
`final Node`
`getGraphic()`
Gets the value of the `graphic` property.
`final double`
`getGraphicTextGap()`
Gets the value of the `graphicTextGap` property.
`final Duration`
`getHideDelay()`
Gets the value of the `hideDelay` property.
`final Duration`
`getShowDelay()`
Gets the value of the `showDelay` property.
`final Duration`
`getShowDuration()`
Gets the value of the `showDuration` property.
`Styleable`
`getStyleableParent()`
Return the parent of this Styleable, or null if there is no parent.
`final String`
`getText()`
Gets the value of the `text` property.
`final TextAlignment`
`getTextAlignment()`
Gets the value of the `textAlignment` property.
`final OverrunStyle`
`getTextOverrun()`
Gets the value of the `textOverrun` property.
`final ObjectProperty<Node>`
`graphicProperty()`
An optional icon for the Tooltip.
`final DoubleProperty`
`graphicTextGapProperty()`
The amount of space between the graphic and text
`final ObjectProperty<Duration>`
`hideDelayProperty()`
The duration in which to continue showing the tooltip after the mouse has left the node.
`static void`
`install(Node node, Tooltip t)`
Associates the given `Tooltip` with the given `Node`.
`final boolean`
`isActivated()`
Gets the value of the `activated` property.
`final boolean`
`isWrapText()`
Gets the value of the `wrapText` property.
`final void`
`setContentDisplay(ContentDisplay value)`
Sets the value of the `contentDisplay` property.
`final void`
`setFont(Font value)`
Sets the value of the `font` property.
`final void`
`setGraphic(Node value)`
Sets the value of the `graphic` property.
`final void`
`setGraphicTextGap(double value)`
Sets the value of the `graphicTextGap` property.
`final void`
`setHideDelay(Duration hideDelay)`
Sets the value of the `hideDelay` property.
`final void`
`setShowDelay(Duration showDelay)`
Sets the value of the `showDelay` property.
`final void`
`setShowDuration(Duration showDuration)`
Sets the value of the `showDuration` property.
`final void`
`setText(String value)`
Sets the value of the `text` property.
`final void`
`setTextAlignment(TextAlignment value)`
Sets the value of the `textAlignment` property.
`final void`
`setTextOverrun(OverrunStyle value)`
Sets the value of the `textOverrun` property.
`final void`
`setWrapText(boolean value)`
Sets the value of the `wrapText` property.
`final ObjectProperty<Duration>`
`showDelayProperty()`
The delay between the mouse entering the hovered node and when the associated tooltip will be shown to the user.
`final ObjectProperty<Duration>`
`showDurationProperty()`
The duration that the tooltip should remain showing for until it is no longer visible to the user.
`final ObjectProperty<TextAlignment>`
`textAlignmentProperty()`
Specifies the behavior for lines of text when text is multiline.
`final ObjectProperty<OverrunStyle>`
`textOverrunProperty()`
Specifies the behavior to use if the text of the `Tooltip` exceeds the available space for rendering the text.
`final StringProperty`
`textProperty()`
The text to display in the tooltip.
`static void`
`uninstall(Node node, Tooltip t)`
Removes the association of the given `Tooltip` on the specified `Node`.
`final BooleanProperty`
`wrapTextProperty()`
If a run of text exceeds the width of the Tooltip, then this variable indicates whether the text should wrap onto another line.

### Methods inherited from class javafx.scene.control.PopupControl

`getId, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getPrefHeight, getPrefWidth, getPseudoClassStates, getSkin, getStyle, getStyleableNode, getStyleClass, getTypeSelector, idProperty, maxHeight, maxHeightProperty, maxWidth, maxWidthProperty, minHeight, minHeightProperty, minWidth, minWidthProperty, prefHeight, prefHeightProperty, prefWidth, prefWidthProperty, pseudoClassStateChanged, setId, setMaxHeight, setMaxSize, setMaxWidth, setMinHeight, setMinSize, setMinWidth, setPrefHeight, setPrefSize, setPrefWidth, setSkin, setStyle, skinProperty, styleProperty`

### Methods inherited from class javafx.stage.PopupWindow

`anchorLocationProperty, anchorXProperty, anchorYProperty, autoFixProperty, autoHideProperty, consumeAutoHidingEventsProperty, getAnchorLocation, getAnchorX, getAnchorY, getConsumeAutoHidingEvents, getOnAutoHide, getOwnerNode, getOwnerWindow, hide, hideOnEscapeProperty, isAutoFix, isAutoHide, isHideOnEscape, onAutoHideProperty, ownerNodeProperty, ownerWindowProperty, setAnchorLocation, setAnchorX, setAnchorY, setAutoFix, setAutoHide, setConsumeAutoHidingEvents, setHideOnEscape, setOnAutoHide, setScene, show, show, show`

### Methods inherited from class javafx.stage.Window

`addEventFilter, addEventHandler, buildEventDispatchChain, centerOnScreen, eventDispatcherProperty, fireEvent, focusedProperty, forceIntegerRenderScaleProperty, getEventDispatcher, getHeight, getOnCloseRequest, getOnHidden, getOnHiding, getOnShowing, getOnShown, getOpacity, getOutputScaleX, getOutputScaleY, getProperties, getRenderScaleX, getRenderScaleY, getScene, getUserData, getWidth, getWindows, getX, getY, hasProperties, heightProperty, isFocused, isForceIntegerRenderScale, isShowing, onCloseRequestProperty, onHiddenProperty, onHidingProperty, onShowingProperty, onShownProperty, opacityProperty, outputScaleXProperty, outputScaleYProperty, removeEventFilter, removeEventHandler, renderScaleXProperty, renderScaleYProperty, requestFocus, sceneProperty, setEventDispatcher, setEventHandler, setForceIntegerRenderScale, setHeight, setOnCloseRequest, setOnHidden, setOnHiding, setOnShowing, setOnShown, setOpacity, setRenderScaleX, setRenderScaleY, setUserData, setWidth, setX, setY, show, showingProperty, sizeToScene, widthProperty, xProperty, yProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Property Details

### text

public final StringProperty textProperty
The text to display in the tooltip. If the text is set to null, an empty string will be displayed, despite the value being null.

See Also:
  - `getText()`
  - `setText(String)`
  - `textProperty()`

### textAlignment

public final ObjectProperty<TextAlignment> textAlignmentProperty
Specifies the behavior for lines of text when text is multiline. Unlike `contentDisplay` which affects the graphic and text, this setting only affects multiple lines of text relative to the text bounds.

See Also:
  - `getTextAlignment()`
  - `setTextAlignment(TextAlignment)`
  - `textAlignmentProperty()`

### textOverrun

public final ObjectProperty<OverrunStyle> textOverrunProperty
Specifies the behavior to use if the text of the `Tooltip` exceeds the available space for rendering the text.

See Also:
  - `getTextOverrun()`
  - `setTextOverrun(OverrunStyle)`
  - `textOverrunProperty()`

### wrapText

public final BooleanProperty wrapTextProperty
If a run of text exceeds the width of the Tooltip, then this variable indicates whether the text should wrap onto another line.

See Also:
  - `isWrapText()`
  - `setWrapText(boolean)`
  - `wrapTextProperty()`

### font

public final ObjectProperty<Font> fontProperty
The default font to use for text in the Tooltip. If the Tooltip's text is rich text then this font may or may not be used depending on the font information embedded in the rich text, but in any case where a default font is required, this font will be used.

See Also:
  - `getFont()`
  - `setFont(Font)`
  - `fontProperty()`

### showDelay

public final ObjectProperty<Duration> showDelayProperty
The delay between the mouse entering the hovered node and when the associated tooltip will be shown to the user. The default delay is 1000ms.

Default value:
  1000ms
Since:
  9
See Also:
  - `getShowDelay()`
  - `setShowDelay(Duration)`
  - `showDelayProperty()`

### showDuration

public final ObjectProperty<Duration> showDurationProperty
The duration that the tooltip should remain showing for until it is no longer visible to the user. If the mouse leaves the control before the showDuration finishes, then the tooltip will remain showing for the duration specified in the `hideDelayProperty()`, even if the remaining time of the showDuration is less than the hideDelay duration. The default value is 5000ms.

Default value:
  5000ms
Since:
  9
See Also:
  - `getShowDuration()`
  - `setShowDuration(Duration)`
  - `showDurationProperty()`

### hideDelay

public final ObjectProperty<Duration> hideDelayProperty
The duration in which to continue showing the tooltip after the mouse has left the node. Once this time has elapsed the tooltip will hide. The default value is 200ms.

Default value:
  200ms
Since:
  9
See Also:
  - `getHideDelay()`
  - `setHideDelay(Duration)`
  - `hideDelayProperty()`

### graphic

public final ObjectProperty<Node> graphicProperty
An optional icon for the Tooltip. This can be positioned relative to the text by using the `content display` property. The node specified for this variable cannot appear elsewhere in the scene graph, otherwise the `IllegalArgumentException` is thrown. See the class description of `Node` for more detail.

See Also:
  - `getGraphic()`
  - `setGraphic(Node)`
  - `graphicProperty()`

### contentDisplay

public final ObjectProperty<ContentDisplay> contentDisplayProperty
Specifies the positioning of the graphic relative to the text.

See Also:
  - `getContentDisplay()`
  - `setContentDisplay(ContentDisplay)`
  - `contentDisplayProperty()`

### graphicTextGap

public final DoubleProperty graphicTextGapProperty
The amount of space between the graphic and text

See Also:
  - `getGraphicTextGap()`
  - `setGraphicTextGap(double)`
  - `graphicTextGapProperty()`

### activated

public final ReadOnlyBooleanProperty activatedProperty
Typically, the tooltip is "activated" when the mouse moves over a Control. There is usually some delay between when the Tooltip becomes "activated" and when it is actually shown. The details (such as the amount of delay, etc) is left to the Skin implementation.

See Also:
  - `isActivated()`
  - `activatedProperty()`

## Constructor Details

### Tooltip

public Tooltip()
Creates a tooltip with an empty string for its text.

### Tooltip

public Tooltip(String text)
Creates a tooltip with the specified text.

Parameters:
  `text` - A text string for the tooltip.

## Method Details

### install

public static void install(Node node, Tooltip t)
Associates the given `Tooltip` with the given `Node`. The tooltip can then behave similar to when it is set on any `Control`. A single tooltip can be associated with multiple nodes.

Parameters:
  `node` - the node
  `t` - the tooltip
See Also:
  - `Tooltip`

### uninstall

public static void uninstall(Node node, Tooltip t)
Removes the association of the given `Tooltip` on the specified `Node`. Hence hovering on the node will no longer result in showing of the tooltip.

Parameters:
  `node` - the node
  `t` - the tooltip
See Also:
  - `Tooltip`

### textProperty

public final StringProperty textProperty()
The text to display in the tooltip. If the text is set to null, an empty string will be displayed, despite the value being null.

Returns:
  the text property
See Also:
  - `getText()`
  - `setText(String)`

### setText

public final void setText(String value)
Sets the value of the `text` property.

Property description:
  The text to display in the tooltip. If the text is set to null, an empty string will be displayed, despite the value being null.
Parameters:
  `value` - the value for the `text` property
See Also:
  - `getText()`
  - `textProperty()`

### getText

public final String getText()
Gets the value of the `text` property.

Property description:
  The text to display in the tooltip. If the text is set to null, an empty string will be displayed, despite the value being null.
Returns:
  the value of the `text` property
See Also:
  - `setText(String)`
  - `textProperty()`

### textAlignmentProperty

public final ObjectProperty<TextAlignment> textAlignmentProperty()
Specifies the behavior for lines of text when text is multiline. Unlike `contentDisplay` which affects the graphic and text, this setting only affects multiple lines of text relative to the text bounds.

Returns:
  the text alignment property
See Also:
  - `getTextAlignment()`
  - `setTextAlignment(TextAlignment)`

### setTextAlignment

public final void setTextAlignment(TextAlignment value)
Sets the value of the `textAlignment` property.

Property description:
  Specifies the behavior for lines of text when text is multiline. Unlike `contentDisplay` which affects the graphic and text, this setting only affects multiple lines of text relative to the text bounds.
Parameters:
  `value` - the value for the `textAlignment` property
See Also:
  - `getTextAlignment()`
  - `textAlignmentProperty()`

### getTextAlignment

public final TextAlignment getTextAlignment()
Gets the value of the `textAlignment` property.

Property description:
  Specifies the behavior for lines of text when text is multiline. Unlike `contentDisplay` which affects the graphic and text, this setting only affects multiple lines of text relative to the text bounds.
Returns:
  the value of the `textAlignment` property
See Also:
  - `setTextAlignment(TextAlignment)`
  - `textAlignmentProperty()`

### textOverrunProperty

public final ObjectProperty<OverrunStyle> textOverrunProperty()
Specifies the behavior to use if the text of the `Tooltip` exceeds the available space for rendering the text.

Returns:
  the text overrun property
See Also:
  - `getTextOverrun()`
  - `setTextOverrun(OverrunStyle)`

### setTextOverrun

public final void setTextOverrun(OverrunStyle value)
Sets the value of the `textOverrun` property.

Property description:
  Specifies the behavior to use if the text of the `Tooltip` exceeds the available space for rendering the text.
Parameters:
  `value` - the value for the `textOverrun` property
See Also:
  - `getTextOverrun()`
  - `textOverrunProperty()`

### getTextOverrun

public final OverrunStyle getTextOverrun()
Gets the value of the `textOverrun` property.

Property description:
  Specifies the behavior to use if the text of the `Tooltip` exceeds the available space for rendering the text.
Returns:
  the value of the `textOverrun` property
See Also:
  - `setTextOverrun(OverrunStyle)`
  - `textOverrunProperty()`

### wrapTextProperty

public final BooleanProperty wrapTextProperty()
If a run of text exceeds the width of the Tooltip, then this variable indicates whether the text should wrap onto another line.

Returns:
  the wrap text property
See Also:
  - `isWrapText()`
  - `setWrapText(boolean)`

### setWrapText

public final void setWrapText(boolean value)
Sets the value of the `wrapText` property.

Property description:
  If a run of text exceeds the width of the Tooltip, then this variable indicates whether the text should wrap onto another line.
Parameters:
  `value` - the value for the `wrapText` property
See Also:
  - `isWrapText()`
  - `wrapTextProperty()`

### isWrapText

public final boolean isWrapText()
Gets the value of the `wrapText` property.

Property description:
  If a run of text exceeds the width of the Tooltip, then this variable indicates whether the text should wrap onto another line.
Returns:
  the value of the `wrapText` property
See Also:
  - `setWrapText(boolean)`
  - `wrapTextProperty()`

### fontProperty

public final ObjectProperty<Font> fontProperty()
The default font to use for text in the Tooltip. If the Tooltip's text is rich text then this font may or may not be used depending on the font information embedded in the rich text, but in any case where a default font is required, this font will be used.

Returns:
  the font property
See Also:
  - `getFont()`
  - `setFont(Font)`

### setFont

public final void setFont(Font value)
Sets the value of the `font` property.

Property description:
  The default font to use for text in the Tooltip. If the Tooltip's text is rich text then this font may or may not be used depending on the font information embedded in the rich text, but in any case where a default font is required, this font will be used.
Parameters:
  `value` - the value for the `font` property
See Also:
  - `getFont()`
  - `fontProperty()`

### getFont

public final Font getFont()
Gets the value of the `font` property.

Property description:
  The default font to use for text in the Tooltip. If the Tooltip's text is rich text then this font may or may not be used depending on the font information embedded in the rich text, but in any case where a default font is required, this font will be used.
Returns:
  the value of the `font` property
See Also:
  - `setFont(Font)`
  - `fontProperty()`

### showDelayProperty

public final ObjectProperty<Duration> showDelayProperty()
The delay between the mouse entering the hovered node and when the associated tooltip will be shown to the user. The default delay is 1000ms.

Default value:
  1000ms
Returns:
  show delay property
Since:
  9
See Also:
  - `getShowDelay()`
  - `setShowDelay(Duration)`

### setShowDelay

public final void setShowDelay(Duration showDelay)
Sets the value of the `showDelay` property.

Property description:
  The delay between the mouse entering the hovered node and when the associated tooltip will be shown to the user. The default delay is 1000ms.
Default value:
  1000ms
Parameters:
  `showDelay` - the value for the `showDelay` property
Since:
  9
See Also:
  - `getShowDelay()`
  - `showDelayProperty()`

### getShowDelay

public final Duration getShowDelay()
Gets the value of the `showDelay` property.

Property description:
  The delay between the mouse entering the hovered node and when the associated tooltip will be shown to the user. The default delay is 1000ms.
Default value:
  1000ms
Returns:
  the value of the `showDelay` property
Since:
  9
See Also:
  - `setShowDelay(Duration)`
  - `showDelayProperty()`

### showDurationProperty

public final ObjectProperty<Duration> showDurationProperty()
The duration that the tooltip should remain showing for until it is no longer visible to the user. If the mouse leaves the control before the showDuration finishes, then the tooltip will remain showing for the duration specified in the `hideDelayProperty()`, even if the remaining time of the showDuration is less than the hideDelay duration. The default value is 5000ms.

Default value:
  5000ms
Returns:
  the show duration property
Since:
  9
See Also:
  - `getShowDuration()`
  - `setShowDuration(Duration)`

### setShowDuration

public final void setShowDuration(Duration showDuration)
Sets the value of the `showDuration` property.

Property description:
  The duration that the tooltip should remain showing for until it is no longer visible to the user. If the mouse leaves the control before the showDuration finishes, then the tooltip will remain showing for the duration specified in the `hideDelayProperty()`, even if the remaining time of the showDuration is less than the hideDelay duration. The default value is 5000ms.
Default value:
  5000ms
Parameters:
  `showDuration` - the value for the `showDuration` property
Since:
  9
See Also:
  - `getShowDuration()`
  - `showDurationProperty()`

### getShowDuration

public final Duration getShowDuration()
Gets the value of the `showDuration` property.

Property description:
  The duration that the tooltip should remain showing for until it is no longer visible to the user. If the mouse leaves the control before the showDuration finishes, then the tooltip will remain showing for the duration specified in the `hideDelayProperty()`, even if the remaining time of the showDuration is less than the hideDelay duration. The default value is 5000ms.
Default value:
  5000ms
Returns:
  the value of the `showDuration` property
Since:
  9
See Also:
  - `setShowDuration(Duration)`
  - `showDurationProperty()`

### hideDelayProperty

public final ObjectProperty<Duration> hideDelayProperty()
The duration in which to continue showing the tooltip after the mouse has left the node. Once this time has elapsed the tooltip will hide. The default value is 200ms.

Default value:
  200ms
Returns:
  the hide delay property
Since:
  9
See Also:
  - `getHideDelay()`
  - `setHideDelay(Duration)`

### setHideDelay

public final void setHideDelay(Duration hideDelay)
Sets the value of the `hideDelay` property.

Property description:
  The duration in which to continue showing the tooltip after the mouse has left the node. Once this time has elapsed the tooltip will hide. The default value is 200ms.
Default value:
  200ms
Parameters:
  `hideDelay` - the value for the `hideDelay` property
Since:
  9
See Also:
  - `getHideDelay()`
  - `hideDelayProperty()`

### getHideDelay

public final Duration getHideDelay()
Gets the value of the `hideDelay` property.

Property description:
  The duration in which to continue showing the tooltip after the mouse has left the node. Once this time has elapsed the tooltip will hide. The default value is 200ms.
Default value:
  200ms
Returns:
  the value of the `hideDelay` property
Since:
  9
See Also:
  - `setHideDelay(Duration)`
  - `hideDelayProperty()`

### graphicProperty

public final ObjectProperty<Node> graphicProperty()
An optional icon for the Tooltip. This can be positioned relative to the text by using the `content display` property. The node specified for this variable cannot appear elsewhere in the scene graph, otherwise the `IllegalArgumentException` is thrown. See the class description of `Node` for more detail.

Returns:
  the graphic property
See Also:
  - `getGraphic()`
  - `setGraphic(Node)`

### setGraphic

public final void setGraphic(Node value)
Sets the value of the `graphic` property.

Property description:
  An optional icon for the Tooltip. This can be positioned relative to the text by using the `content display` property. The node specified for this variable cannot appear elsewhere in the scene graph, otherwise the `IllegalArgumentException` is thrown. See the class description of `Node` for more detail.
Parameters:
  `value` - the value for the `graphic` property
See Also:
  - `getGraphic()`
  - `graphicProperty()`

### getGraphic

public final Node getGraphic()
Gets the value of the `graphic` property.

Property description:
  An optional icon for the Tooltip. This can be positioned relative to the text by using the `content display` property. The node specified for this variable cannot appear elsewhere in the scene graph, otherwise the `IllegalArgumentException` is thrown. See the class description of `Node` for more detail.
Returns:
  the value of the `graphic` property
See Also:
  - `setGraphic(Node)`
  - `graphicProperty()`

### contentDisplayProperty

public final ObjectProperty<ContentDisplay> contentDisplayProperty()
Specifies the positioning of the graphic relative to the text.

Returns:
  the content display property
See Also:
  - `getContentDisplay()`
  - `setContentDisplay(ContentDisplay)`

### setContentDisplay

public final void setContentDisplay(ContentDisplay value)
Sets the value of the `contentDisplay` property.

Property description:
  Specifies the positioning of the graphic relative to the text.
Parameters:
  `value` - the value for the `contentDisplay` property
See Also:
  - `getContentDisplay()`
  - `contentDisplayProperty()`

### getContentDisplay

public final ContentDisplay getContentDisplay()
Gets the value of the `contentDisplay` property.

Property description:
  Specifies the positioning of the graphic relative to the text.
Returns:
  the value of the `contentDisplay` property
See Also:
  - `setContentDisplay(ContentDisplay)`
  - `contentDisplayProperty()`

### graphicTextGapProperty

public final DoubleProperty graphicTextGapProperty()
The amount of space between the graphic and text

Returns:
  the graphic text gap property
See Also:
  - `getGraphicTextGap()`
  - `setGraphicTextGap(double)`

### setGraphicTextGap

public final void setGraphicTextGap(double value)
Sets the value of the `graphicTextGap` property.

Property description:
  The amount of space between the graphic and text
Parameters:
  `value` - the value for the `graphicTextGap` property
See Also:
  - `getGraphicTextGap()`
  - `graphicTextGapProperty()`

### getGraphicTextGap

public final double getGraphicTextGap()
Gets the value of the `graphicTextGap` property.

Property description:
  The amount of space between the graphic and text
Returns:
  the value of the `graphicTextGap` property
See Also:
  - `setGraphicTextGap(double)`
  - `graphicTextGapProperty()`

### isActivated

public final boolean isActivated()
Gets the value of the `activated` property.

Property description:
  Typically, the tooltip is "activated" when the mouse moves over a Control. There is usually some delay between when the Tooltip becomes "activated" and when it is actually shown. The details (such as the amount of delay, etc) is left to the Skin implementation.
Returns:
  the value of the `activated` property
See Also:
  - `activatedProperty()`

### activatedProperty

public final ReadOnlyBooleanProperty activatedProperty()
Typically, the tooltip is "activated" when the mouse moves over a Control. There is usually some delay between when the Tooltip becomes "activated" and when it is actually shown. The details (such as the amount of delay, etc) is left to the Skin implementation.

Returns:
  the `activated` property
See Also:
  - `isActivated()`

### createDefaultSkin

protected Skin<?> createDefaultSkin()
Create a new instance of the default skin for this control. This is called to create a skin for the control if no skin is provided via CSS `-fx-skin` or set explicitly in a sub-class with `setSkin(...)`.

Overrides:
  `createDefaultSkin` in class `PopupControl`
Returns:
  new instance of default skin for this control. If null then the control will have no skin unless one is provided by css.

### getClassCssMetaData

public static List<CssMetaData<? extends Styleable,?>> getClassCssMetaData()

Returns:
  The CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
Since:
  JavaFX 8.0

### getCssMetaData

public List<CssMetaData<? extends Styleable,?>> getCssMetaData()
The CssMetaData of this Styleable. This may be returned as an unmodifiable list.

Specified by:
  `getCssMetaData` in interface `Styleable`
Overrides:
  `getCssMetaData` in class `PopupControl`
Returns:
  the CssMetaData
Since:
  JavaFX 8.0

### getStyleableParent

public Styleable getStyleableParent()
Description copied from class: `PopupControl`
Return the parent of this Styleable, or null if there is no parent. A PopupControl's styles are based on the popup "owner" which is the `ownerNode` or, if the ownerNode is not set, the root of the `ownerWindow's` scene. If the popup has not been shown, both ownerNode and ownerWindow will be null and `null` will be returned. Note that the PopupWindow's scene root is not returned because there is no way to guarantee that the PopupWindow's scene root would properly return the ownerNode or ownerWindow.

Specified by:
  `getStyleableParent` in interface `Styleable`
Overrides:
  `getStyleableParent` in class `PopupControl`
Returns:
  `PopupWindow.getOwnerNode()`, `PopupWindow.getOwnerWindow()`, or null.